Subject: Re: [PATCH] commit: Add -f, --fixes <commit> option to add Fixes: line

From: Matthieu Moy <[email-masked]>
Date: Tue, 29 Oct 2013 09:26:14 +0100

Jeff King <[email-masked]> writes:

>  We could probably make this friendlier by reading from ~/.githooks
> and defining some semantics for multiple hooks.

I'd be all for it, except I'd call this ~/.config/git/hooks/* (or
$XDG_CONFIG_HOME if set).

> E.g., fall back to ~/.githooks if the repo hook is not
> executable, or possibly run them both

I think running them both would be the best option. Otherwise, adding a
(possibly trivial) hook to a repo would disable the user-wide one,
that'd feel weird.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/